/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.beans.catalog;

import com.arrebol.taxiservicios.beans.Datatable;
import com.arrebol.taxiservicios.beans.TaxiGenericBean;
import com.arrebol.taxiservicios.controller.catalog.ClaveUnidadController;
import com.arrebol.taxiservicios.model.catalog.ClaveUnidad;
import com.arrebol.taxiservicios.model.enums.BasicType;



import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.primefaces.event.ReorderEvent;
import org.primefaces.event.RowEditEvent;

/**
 *
 * @author oscarvargas
 */
@Named("claveUnidadBean")
@ViewScoped
public class ClaveUnidadBean extends TaxiGenericBean implements Serializable, Datatable {


    public List<ClaveUnidad> getClaveUnidad() {
        return claveUnidad;
    }

    public ClaveUnidad getSelectedClaveUnidad() {
        return selectedClaveUnidad;
    }

    public void setSelectedClaveUnidad(ClaveUnidad selectedClaveUnidad) {
        this.selectedClaveUnidad = selectedClaveUnidad;
    }

    @PostConstruct
    public void init() {
        claveUnidadController = new ClaveUnidadController();
        claveUnidad = claveUnidadController.fillClaveUnidadDatatable();
        
    }


    private static final long serialVersionUID = -2400590341745672164L;

    private List<ClaveUnidad> claveUnidad;
    private ClaveUnidad selectedClaveUnidad;

    
    private ClaveUnidadController claveUnidadController;

    @Override
    public void editRow(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowCancel(RowEditEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void onRowReorder(ReorderEvent event) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void addRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void deleteRow() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

}
